CAD Forum - Database of tips, tricks and utilities for AutoCAD, Inventor and other Autodesk products [www.cadforum.cz]
Czech English Deutsch
Login/Register:
 Visitors: 2866 
RSS tips RSS channel - CAD tips
RSS discussion RSS channel - CAD discussion

Discussion Discussion forum

HelpCAD discussion

CAD Forum - Homepage CAD discussion forum - ask any CAD-related questions here, share your CAD knowledge on AutoCAD, Inventor, Revit and other Autodesk software with your peers from all over the world. To start a new topic, choose an appropriate forum.

Please abide by the rules of this forum.

How to post questions: register or login, go to the specific forum and click the NEW TOPIC button.
  FAQ FAQ  Forum Search   Events   Register Register  Login Login

The information that you provide in this form will make up your forum profile which can be viewed by other forum members. Your email address will only be visible by forum admin and moderators and will be used to send you Forum Notifications. To cancel your account, use the page Opt-out or contact webmaster@cadforum.cz.

How to Create Helix?

 Post Reply Post Reply
Author
dery View Drop Down
Groupie
Groupie


Joined: 31.Jan.2018
Location: United States
Using: AutoCAD 2014
Status: Offline
Points: 36
Post Options Post Options   Thanks (0) Thanks(0)   Quote dery Quote  Post ReplyReply Direct Link To This Post Topic: How to Create Helix?
    Posted: 24.Jan.2019 at 01:42
Can someone please tell me how to create a helix in ACAD2002?

I asked this because there is no helix command in ACAD2002.
Back to Top
philippe JOSEPH View Drop Down
Senior Member
Senior Member


Joined: 14.Mar.2011
Location: France
Using: AutoCAD Mechanical 2017
Status: Offline
Points: 1045
Post Options Post Options   Thanks (0) Thanks(0)   Quote philippe JOSEPH Quote  Post ReplyReply Direct Link To This Post Posted: 24.Jan.2019 at 07:16
Hello dery, HELIX is comming with ACAD2007 so you will have to approximate your helix with multiple extrusions of regions along small arcs and then a copy or array to have a big/long one.
Place here some small example of extrusion that you want and we will give you some tutorial.
Maybe a "good" helix created with ACAD2007 or + can be "saved as" ACAD2002" or you could do the "save as" with your ACAD2012. 


Edited by philippe JOSEPH - 24.Jan.2019 at 07:19
Back to Top
John Connor View Drop Down
Senior Member
Senior Member


Joined: 01.Feb.2011
Location: United States
Using: AutoCAD 2018
Status: Offline
Points: 6953
Post Options Post Options   Thanks (0) Thanks(0)   Quote John Connor Quote  Post ReplyReply Direct Link To This Post Posted: 24.Jan.2019 at 16:44
I would suggest trying to find a custom helix lisp routine and test it with your version f AutoCAD.  There's probably one available at this website (cadforum) but I haven't bothered to check.  
"Humans have a strength that cannot be measured. This is John Connor. If you are reading this, you are the resistance."

<<AutoCAD 2015>>

Back to Top
philippe JOSEPH View Drop Down
Senior Member
Senior Member


Joined: 14.Mar.2011
Location: France
Using: AutoCAD Mechanical 2017
Status: Offline
Points: 1045
Post Options Post Options   Thanks (0) Thanks(0)   Quote philippe JOSEPH Quote  Post ReplyReply Direct Link To This Post Posted: 25.Jan.2019 at 07:17
Hello dery and John, on 24 april 2017 scj.schulz gave me a lisp to draw perfect helix ( standard AutoCAD helix are not perfect ) :
Try to make it work on your AutoCAD2002 then tell us what you do with it because you can SWEEP after AutoCAD 2007.

>>
(defun C:HELIX_scj (/ aunits_old osmode_old acc height radius delta_ang delta_h)
;; approximation by a 3D-SPLINE with adjustable accuracy
(setq alpha 0.0 h 0.0)

(setq acc 10000)
(setq height 100.0)
(setq radius 100.0)

(setq AUNITS_old (getvar "AUNITS") OSMODE_old (getvar "OSMODE"))
(setvar "AUNITS" 3)
(setvar "OSMODE" 0)
(setq delta_ang (/ (* 2 pi) acc) delta_h (/ height acc))
(command "_SPLINE")

(repeat (+ 1 acc)
    (progn
    (command (strcat (rtos radius) "<" (rtos alpha) "," (rtos h)))
    (setq alpha (+ alpha delta_ang) h (+ h delta_h))
    )
)

(command "")
(command "")
(command "")
(setvar "AUNITS" aunits_old)
(setvar "OSMODE" osmode_old)
)
>>


Back to Top
philippe JOSEPH View Drop Down
Senior Member
Senior Member


Joined: 14.Mar.2011
Location: France
Using: AutoCAD Mechanical 2017
Status: Offline
Points: 1045
Post Options Post Options   Thanks (0) Thanks(0)   Quote philippe JOSEPH Quote  Post ReplyReply Direct Link To This Post Posted: 25.Jan.2019 at 20:16
Or maybe" EXTRUDE along a path" works in AutoCAD 2002 with a helix I don't remember...
Back to Top
Kent Cooper View Drop Down
Senior Member
Senior Member


Joined: 12.Mar.2013
Location: United States
Using: AutoCAD2019
Status: Offline
Points: 454
Post Options Post Options   Thanks (0) Thanks(0)   Quote Kent Cooper Quote  Post ReplyReply Direct Link To This Post Posted: 25.Jan.2019 at 22:03
Originally posted by philippe JOSEPH philippe JOSEPH wrote:

Or maybe" EXTRUDE along a path" works in AutoCAD 2002 with a helix I don't remember...
 
[It wouldn't, because not only the Helix command but also the Helix entity type didn't exist yet.]
Back to Top
philippe JOSEPH View Drop Down
Senior Member
Senior Member


Joined: 14.Mar.2011
Location: France
Using: AutoCAD Mechanical 2017
Status: Offline
Points: 1045
Post Options Post Options   Thanks (0) Thanks(0)   Quote philippe JOSEPH Quote  Post ReplyReply Direct Link To This Post Posted: 26.Jan.2019 at 08:55
Yes because helix is coming after 2007 but is it working with the lisp provided here under that is creating a 3D polyline with a selected number of points ( eventually a lot )?
And then as it's not possible to SWEEP with AutoCAD2002 something along that polyline, what will be the result of an eventual EXTRUDE with millions of facets?
That's why I did propose at first to built an approximate model with various simple elements of arcs.
In old releases of AutoCAD you could find in the samples loaded with the program on the disk (C) an example of a 3D coil spring apparently correct but made of various arcs in an air jack with coil return spring.


Edited by philippe JOSEPH - 26.Jan.2019 at 09:08
Back to Top
philippe JOSEPH View Drop Down
Senior Member
Senior Member


Joined: 14.Mar.2011
Location: France
Using: AutoCAD Mechanical 2017
Status: Offline
Points: 1045
Post Options Post Options   Thanks (0) Thanks(0)   Quote philippe JOSEPH Quote  Post ReplyReply Direct Link To This Post Posted: 28.Jan.2019 at 07:27
Hello, I have placed in the CAD/BIM Blocks library here in the site the file : R300-20.dwg taken out of the CD-ROM of the old AutoCAD R14.
It shows an air cylinder asssembly including the famous approximate 3D coil sping mark "7" in yellow.
Look at it and you will see an assembly of extruded arcs to make it look alike a real sweeped one.
Maybe the good way for dery making his own one.

Back to Top

Related CAD tips:


 Post Reply Post Reply
  Share Topic   

Forum Jump Forum Permissions View Drop Down



This page was generated in 0,094 seconds.